package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Sage_pays;
import com.realnet.vpspack.Services.Sage_paysService ;






@RequestMapping(value = "/Sage_pays")
 @CrossOrigin("*") 
@RestController
public class Sage_paysController {
	@Autowired
	private Sage_paysService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Sage_pays")
		  public Sage_pays Savedata(@RequestBody Sage_pays data) {
		Sage_pays save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Sage_pays/{id}")
	public  Sage_pays update(@RequestBody Sage_pays data,@PathVariable Integer id ) {
		Sage_pays update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Sage_pays/getall/page")
	public Page<Sage_pays> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Sage_pays> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Sage_pays")
	public List<Sage_pays> getdetails() {
		 List<Sage_pays> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Sage_pays")
	public List<Sage_pays> getallwioutsec() {
		 List<Sage_pays> get = Service.getdetails();		
		return get;
}
@GetMapping("/Sage_pays/{id}")
	public  Sage_pays  getdetailsbyId(@PathVariable Integer id ) {
		Sage_pays  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Sage_pays/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}